Appointment Types
Appointment types categorize appointments (e.g., call, meeting, on-site visit).
Use the Datastore_AppointmentType endpoint to query appointment types.
Endpoints
List Appointment Types
GET
/v1/odata/Datastore_AppointmentTypeSingle Appointment Type
GET
/v1/odata/Datastore_AppointmentType({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Appointment | Activity_Appointment | 1:N | Appointment |
Expanding Relationships
GET
/v1/odata/Datastore_AppointmentType({id})?$expand=AppointmentNavigating Relationships
GET
/v1/odata/Datastore_AppointmentType({id})/AppointmentFiltering Examples
GET
/v1/odata/Datastore_AppointmentType?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_AppointmentType?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_AppointmentType?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_AppointmentType?$filter=IsDefault eq {IsDefault}&$top={top}